# Retrieve a Job by short name

`GET /lokta-lms/api/v1/jobs/short-name/{shortName}`

Returns the details of a Job bu shortName.

Example Requests:

jobs/short-name/SA_PINT

## Parameters
- `shortName` (path, string, required): short-name

## Responses
- `200`: OK

## Response fields
- `active` (boolean)
- `cronExpression` (string)
- `currentlyRunning` (boolean)
- `displayName` (string)
- `initializingError` (string)
- `jobId` (integer)
- `lastRunHistory` (JobDetailHistoryData)
- `nextRunTime` (string)
- `shortName` (string)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/jobs/short-name/{shortName}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "active": false,
  "cronExpression": "0 0 22 1/1 * ? *",
  "currentlyRunning": false,
  "displayName": "Update loan Summary"
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveByShortName
